cvss4_metric_def_t Struct Reference

String to enum mapping and allowed values for a CVSS 4.0 metric. More...

## Data Fields

const char * | metric_str
const cvss4_metric_t | metric
const char * | values

## Detailed Description

String to enum mapping and allowed values for a CVSS 4.0 metric.

This assumes all allowed values are single characters. The Provider Urgency metric can be longer, so it needs special handling only using the first letter.

## Field Documentation

## metric

const cvss4_metric_t cvss4_metric_def_t::metric

The metric enum value

## metric_str

const char* cvss4_metric_def_t::metric_str

The metric abbreviation string

## values

const char* cvss4_metric_def_t::values

String of characters allowed as values

The documentation for this struct was generated from the following file:

- base/cvss.c